Commit aded1d5e authored by chrin's avatar chrin
Browse files

reset status in getCache following put with nowtaccess error

parent 8cf1e68d
This diff is collapsed.
This diff is collapsed.
......@@ -4225,20 +4225,20 @@ First input argument, should be a 'list' of of type <class 'int'> if handles or
if isinstance(handleList, (str)):
handleList = self.getHandlesFromWithinGroup(handleList)
if not handleList:
raise Exception(("EXCEPTION RAISED IN PyCafe def getCompoundList. \n" +
raise Exception(("EXCEPTION RAISED IN PyCafe def getDictionary. \n" +
"First input argument should be <type 'list'> " +
"of handles or PVs\nelse <class 'str'> for " +
"CAFE 'group' name"))
else:
if not isinstance(handleList, (list)):
raise Exception("EXCEPTION RAISED IN PyCafe def getCompoundList. \n\
raise Exception("EXCEPTION RAISED IN PyCafe def getDictionary. \n\
First input argument, should be <type 'list'> of handles or PVs")
if isinstance(handleList[0], (str)):
pvList = handleList
handleList = self.checkForHandleList(handleList)
elif not isinstance(handleList[0], (int, long)):
raise Exception("EXCEPTION RAISED IN PyCafe def getCompoundList. \n\
raise Exception("EXCEPTION RAISED IN PyCafe def getDictionary. \n\
First input argument, should be a 'list' of of type <class 'int'> if handles or <class 'str'> if PVs")
if scalarOnly:
......
......@@ -8,7 +8,7 @@ from Cython.Build import cythonize
from numpy import get_include
_CAFE_VERSION='1.14.1'
_CAFE_VERSION='1.14.4'
_EPICS_VERSION='3.14.12'
setup(
......
......@@ -9,22 +9,23 @@ from numpy import get_include
_CAFE_VERSION='1.14.2'
_EPICS_VERSION='7.0.5'
_EPICS_VERSION='7.0.6'
setup(
ext_modules = cythonize([Extension('PyCafe',['PyCafe.pyx'],
language="c++",
include_dirs=[ '/opt/gfa/python-3.7/latest/include/python3.7m',
os.environ['EPICS'] + '/base-7/include',
os.environ['EPICS'] + '/base-7/include/os/Linux',
os.environ['EPICS'] + '/base-7/include/compiler/gcc',
os.environ['EPICS'] + '/base-' + _EPICS_VERSION + '/include',
os.environ['EPICS'] + '/base-' + _EPICS_VERSION + '/include/os/Linux',
os.environ['EPICS'] + '/base-' + _EPICS_VERSION + '/include/compiler/gcc',
'/opt/gfa/cafe/boost/boost_1_61_0/include',
'/opt/gfa/cafe/boost/boost_1_61_0/include/boost',
'/opt/gfa/cafe/cpp/cafe-' + _CAFE_VERSION +
'-sls2-py37-gcc-7.3.0/include',
'.', get_include()],
library_dirs=[ os.environ['EPICS'] + '/base-7/lib/' + os.environ['EPICS_HOST_ARCH'],
library_dirs=[ os.environ['EPICS'] + '/base-' + _EPICS_VERSION + '/lib/' +
os.environ['EPICS_HOST_ARCH'],
'/opt/gfa/cafe/cpp/cafe-' + _CAFE_VERSION +
'-sls2-py37-gcc-7.3.0/lib/' + os.environ['EPICS_HOST_ARCH'],
'/opt/gfa/python-3.7/latest/lib',
......@@ -32,7 +33,8 @@ setup(
os.environ['PSI_PREFIX'] + '/Programming/gcc/7.3.0/lib'
],
runtime_library_dirs=[
os.environ['EPICS'] + '/base-7/lib/' + os.environ['EPICS_HOST_ARCH'],
os.environ['EPICS'] + '/base-' + _EPICS_VERSION + '/lib/' +
os.environ['EPICS_HOST_ARCH'],
'/opt/gfa/cafe/cpp/cafe-' + _CAFE_VERSION +
'-sls2-py37-gcc-7.3.0/lib/' + os.environ['EPICS_HOST_ARCH'],
'/opt/gfa/python-3.7/latest/lib',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment